ON_MappingRef Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mapchan.h>`

## Public Member Functions

| ON_MappingRef ()
void | Default ()
int | Compare (const ON_MappingRef &other) const
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)
bool | IsValid (ON_TextLog *text_log) const
bool | Transform (const ON_Xform &xform)
const ON_MappingChannel * | MappingChannel (int mapping_channel_id) const
const ON_MappingChannel * | MappingChannel (const ON_UUID &mapping_id) const
bool | AddMappingChannel (int mapping_channel_id, const ON_UUID &mapping_id)
bool | DeleteMappingChannel (int mapping_channel_id)
bool | DeleteMappingChannel (const ON_UUID &mapping_id)
bool | ChangeMappingChannel (int old_mapping_channel_id, int new_mapping_channel_id)

## Public Attributes

ON_UUID | m_plugin_id
ON_SimpleArray< ON_MappingChannel > | m_mapping_channels

## Detailed Description

Definition at line 91 of file opennurbs_mapchan.h.

## Constructor & Destructor Documentation

## ON_MappingRef()

ON_MappingRef::ON_MappingRef | ( |  | ) |

## Member Function Documentation

## AddMappingChannel()

bool ON_MappingRef::AddMappingChannel | ( | int | mapping_channel_id,
|  | const ON_UUID & | mapping_id
| ) |  |

## ChangeMappingChannel()

bool ON_MappingRef::ChangeMappingChannel | ( | int | old_mapping_channel_id,
|  | int | new_mapping_channel_id
| ) |  |

## Compare()

int ON_MappingRef::Compare | ( | const ON_MappingRef & | other | ) | const

## Default()

void ON_MappingRef::Default | ( |  | ) |

## DeleteMappingChannel() [1/2]

bool ON_MappingRef::DeleteMappingChannel | ( | int | mapping_channel_id | ) |

## DeleteMappingChannel() [2/2]

bool ON_MappingRef::DeleteMappingChannel | ( | const ON_UUID & | mapping_id | ) |

## IsValid()

bool ON_MappingRef::IsValid | ( | ON_TextLog * | text_log | ) | const

## MappingChannel() [1/2]

const ON_MappingChannel* ON_MappingRef::MappingChannel | ( | int | mapping_channel_id | ) | const

## MappingChannel() [2/2]

const ON_MappingChannel* ON_MappingRef::MappingChannel | ( | const ON_UUID & | mapping_id | ) | const

## Read()

bool ON_MappingRef::Read | ( | ON_BinaryArchive & | archive | ) |

## Transform()

bool ON_MappingRef::Transform | ( | const ON_Xform & | xform | ) |

## Write()

bool ON_MappingRef::Write | ( | ON_BinaryArchive & | archive | ) | const

## Member Data Documentation

## m_mapping_channels

ON_SimpleArray<ON_MappingChannel> ON_MappingRef::m_mapping_channels

Definition at line 174 of file opennurbs_mapchan.h.

## m_plugin_id

ON_UUID ON_MappingRef::m_plugin_id

Definition at line 105 of file opennurbs_mapchan.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_mapchan.h